package be.iminds.ilabt.jfed.rspec.model.imutable_impl;

import be.iminds.ilabt.jfed.rspec.model.Lease;
import be.iminds.ilabt.jfed.util.common.RFC3339Util;

import java.text.ParseException;
import java.util.Date;

public class ImmutableLease implements Lease {
    private final String leaseId;
    private final String clientId;
    private final String validFromString;
    private final String validUntilString;
    private final Date validFromDate;
    private final Date validUntilDate;

    public ImmutableLease(Lease orig) {
        this.leaseId = orig.getLeaseId();
        this.clientId = orig.getClientId();
        this.validFromDate = orig.getValidFromDate();
        this.validUntilDate = orig.getValidUntilDate();
        this.validFromString = orig.getValidFromString();
        this.validUntilString = orig.getValidUntilString();
    }

    public String getClientId() {
        return clientId;
    }

    public String getLeaseId() {
        return leaseId;
    }

    public Date getValidFromDate() {
        return validFromDate;
    }

    public Date getValidUntilDate() {
        return validUntilDate;
    }

    public String getValidFromString() {
        return validFromString;
    }

    public String getValidUntilString() {
        return validUntilString;
    }
}
